PROGRAM TrigFunct
   USE MyTrigFunctions

   IMPLICIT NONE

   REAL :: Begin = -180.0
   REAL :: Final =  180.0
   REAL :: Step  =   10.0
   REAL :: x

   WRITE(*,*) 'Value of Pi= ', Pi
   WRITE(*,*) 

   x = Begin
 
   DO
      IF ( x > Final) EXIT
         WRITE(*,*) 'x = ', x, 'deg  sin(x)= ', MySin(x), &
                    '  cos(x)= ', MyCos(x)
      x = x + step
   END DO
END PROGRAM TrigFunct
